#!/bin/sh
echo "|--------------------------|"
echo "| INSTALLATION DE CADREUSE |"
echo "|--------------------------|"
echo "Le chemin du script est " $PWD
echo -n "Confirmez l'installation en tapant oui: "
read reponse
if [ -z $reponse ] || [ $reponse != 'oui' ]
then
	echo "Vous avez annulé l'installation, taper sur la touche RETURN pour fermer la fenêtre"
	read reponse
	exit 1
else
	if [ -d "/usr/share/cadreuse" ] ;
	then
		sudo rm -r /usr/share/cadreuse
	fi
	if [ -e "/usr/share/applications/cadreuse.desktop" ] ;
	then
		sudo rm /usr/share/applications/cadreuse.desktop
	fi
	cd $PWD && sudo mkdir /usr/share/cadreuse && 
	sudo cp cadreuse.jar /usr/share/cadreuse/ && 
	sudo cp cadreuse.ico /usr/share/cadreuse && 
	sudo cp cadreuse.desktop /usr/share/applications &&
	sudo mkdir /usr/share/cadreuse/lib && 
	cd $PWD/lib && 
	sudo cp *.* /usr/share/cadreuse/lib  
fi
echo "Les fichiers nécessaires ont été copié sur le système."
echo "[0;37;40mLe script va maintenant vous permettre de savoir si Java est bien installé sur votre ordinateur"
echo "[0m"
fichier=$(java -version)
echo ""
echo "[0;37;40mSi les ligne ci-dessus vous indiquent la version 1.7.0_51 ou supérieure, 
tout est OK, vous pouvez utiliser un programme java.
sinon, tapez non et la touche return, ce script se chargera d\'installer java sur votre système"
echo "[0m"
echo -n "Java est-il installé correctement? "
read reponse
if [ -z $reponse ] || [ $reponse != 'non' ]; then
	echo "En cas de conflit avec une version précédente, vous pouvez taper
sudo update-alternatives --config java
pour choisir la version à utiliser."
	echo -n "Taper sur la touche RETURN pour fermer la fenêtre. "
	read reponse
	exit 1	
else
	sudo apt-get install openjdk-7-jre
fi
echo "En cas de conflit avec une version précédente, vous pouvez taper
sudo update-alternatives --config java
pour choisir la version à utiliser."

echo -n "Installation terminée, taper sur la touche RETURN pour fermer l'installateur"
read reponse
exit 0


